com.gisgraphy.fulltext

## Class Constants

- java.lang.Object
- - com.gisgraphy.fulltext.Constants

-     public class Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class[]` | `ADDRESSES_PLACETYPE` convenence placetype for city and citySubdivision
    `static Class[]` | `CITY_AND_CITYSUBDIVISION_PLACETYPE` convenence placetype for city and citySubdivision
    `static Class[]` | `ONLY_ADM_PLACETYPE` convenence placetype for only adm
    `static Class[]` | `ONLY_CITY_PLACETYPE` convenence placetype for only city
    `static Class[]` | `ONLY_CITYSUBDIVISION_PLACETYPE` convenence placetype for city and citySubdivision
    `static Class[]` | `STREET_PLACETYPE` convenence placetype for city and citySubdivision

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONLY_CITY_PLACETYPE

          public static final Class[] ONLY_CITY_PLACETYPE

      convenence placetype for only city

    - #### ONLY_ADM_PLACETYPE

          public static final Class[] ONLY_ADM_PLACETYPE

      convenence placetype for only adm

    - #### CITY_AND_CITYSUBDIVISION_PLACETYPE

          public static final Class[] CITY_AND_CITYSUBDIVISION_PLACETYPE

      convenence placetype for city and citySubdivision

    - #### ADDRESSES_PLACETYPE

          public static final Class[] ADDRESSES_PLACETYPE

      convenence placetype for city and citySubdivision

    - #### ONLY_CITYSUBDIVISION_PLACETYPE

          public static final Class[] ONLY_CITYSUBDIVISION_PLACETYPE

      convenence placetype for city and citySubdivision

    - #### STREET_PLACETYPE

          public static final Class[] STREET_PLACETYPE

      convenence placetype for city and citySubdivision

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All rights reserved.